# InternetSpeedVisualizer

## 🚀 Powerful Python Tool for Analyzing Internet Connection Speed

InternetSpeedVisualizer is a tool designed to help you visualize and analyze
your Internet speed data, which you can collect using the
[InternetSpeedLogger](https://github.com/Andreas-Menzel/InternetSpeedLogger).

## 📥 Installation

Installation is as simple as running a pip command:

```bash
pip install InternetSpeedVisualizer
```

## 🏁 Usage

Once InternetSpeedVisualizer is installed using pip, you can easily execute the
script from anywhere:

```bash
InternetSpeedVisualizer
```

To access detailed execution information, simply type
`InternetSpeedVisualizer --help`:

```
usage: InternetSpeedVisualizer [-h] [--version] -i INPUT [-o OUTPUT]
                               [--width WIDTH] [--height HEIGHT]
                               [-d MAX_DOWNLOAD] [-u MAX_UPLOAD]
                               [--interactive]

InternetSpeedVisualizer is a powerful tool designed to help you visualize and
analyze your Internet speed data, collected using the InternetSpeedVisualizer.
            

options:
  -h, --help            show this help message and exit
  --version             show program's version number and exit
  -i INPUT, --input INPUT
                        Path to the .csv-log-file generated by
                        InternetSpeedVisualizer.
  -o OUTPUT, --output OUTPUT
                        Path to the line-graph-image that should be created.
  --width WIDTH         Width in inch of the output image. (default: 20)
  --height HEIGHT       Height in inch of the output image. (default: 10)
  -d MAX_DOWNLOAD, --max_download MAX_DOWNLOAD
                        Maximum download speed promised by the ISP. (default:
                        250)
  -u MAX_UPLOAD, --max_upload MAX_UPLOAD
                        Maximum upload speed promised by the ISP. (default:
                        40)
  --interactive         Show an interactive line-graph. (default: False)
```

## 👏 Contribution

We warmly welcome and highly appreciate contributions to the
InternetSpeedVisualizer project! Your creative ideas and diligent work can make
a real difference in its development and enhance the user experience.

Multiple ways to contribute:

- **Bug Reports 🐛:** Encountered any issues with the script? Please create a
  new issue in the GitHub repository with as much detail as possible, including
  steps to reproduce the bug, the Python version you're using, and any error
  messages received.
- **Feature Requests 💡:** Got a brilliant idea for improving
  InternetSpeedVisualizer? We'd love to hear about it! Propose new features by
  opening a new issue and using the Feature Request template.
- **Code Contributions 💻:** If you're eager to get hands-on and directly
  contribute to the InternetSpeedVisualizer codebase, we're more than happy to
  welcome your input. Your contributions can help fix bugs, add features,
  improve efficiency, and make the tool more robust and user-friendly.
- **Documentation 📚:** A project is only as good as its documentation. If you
  can improve the readme, comment the code more thoroughly, or create better
  user guides, your input is highly valued and welcome.

Remember, the best way to make successful contributions is to communicate! Feel
free to ask questions and discuss your ideas in the issue tracker.

In your pull request, provide a clear and comprehensive explanation of your
changes and their necessity. This will help us understand the purpose of your
contribution and expedite the review process.

Thank you for your interest in improving InternetSpeedVisualizer! ❤️

## 📜 License

This script is released under the MIT License.